## supercollider 3.10.0.1+rb2

=== lang/CMakeLists.txt ===
# This makes sclang/scide work with a Qt installation at a fixed location.
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

include_directories(${CMAKE_SOURCE_DIR}/include/common
                    ${CMAKE_SOURCE_DIR}/include/lang
                    ${CMAKE_SOURCE_DIR}/include/plugin_interface
                    ${CMAKE_SOURCE_DIR}/include/server
                    ${CMAKE_SOURCE_DIR}/common

                    ${CMAKE_SOURCE_DIR}/external_libraries/boost_sync/include

                    LangSource
                    LangPrimSource

                    ${CMAKE_SOURCE_DIR}/external_libraries/nova-tt
                    LangSource/Bison

                    ${YAMLCPP_INCLUDE_DIR}
)


if(CMAKE_SYSTEM_NAME MATCHES "Linux")
	find_package(ALSA)
endif()

find_package(Readline 5.0)

find_package(Sndfile)

if (SC_QT OR SC_IDE)
	set(LOCALSOCK_UTIL_FILE ${CMAKE_SOURCE_DIR}/editors/sc-ide/primitives/localsocket_utils.cpp)
else ()
	set(LOCALSOCK_UTIL_FILE)
endif ()

set(sclang_sources
	LangPrimSource/PyrSignalPrim.cpp
	LangPrimSource/PyrSched.cpp
	LangPrimSource/PyrPrimitive.cpp
	LangPrimSource/PyrMathPrim.cpp
	LangPrimSource/SC_ComPort.cpp
	LangPrimSource/OSCData.cpp
	LangPrimSource/PyrArchiver.cpp
	LangPrimSource/PyrArrayPrimitives.cpp
	LangPrimSource/PyrBitPrim.cpp
	LangPrimSource/PyrCharPrim.cpp
	LangPrimSource/PyrFilePrim.cpp
	LangPrimSource/PyrListPrim.cpp
	LangPrimSource/PyrPlatformPrim.cpp
	LangPrimSource/PyrStringPrim.cpp
	LangPrimSource/PyrSymbolPrim.cpp
	LangPrimSource/PyrUnixPrim.cpp
	LangPrimSource/PyrSerialPrim.cpp
	LangSource/AdvancingAllocPool.cpp
	LangSource/ByteCodeArray.cpp
	LangSource/DumpParseNode.cpp
	LangSource/GC.cpp
	LangSource/InitAlloc.cpp
	LangSource/PyrInterpreter3.cpp
	LangSource/PyrLexer.cpp
	LangSource/PyrMathOps.cpp
	LangSource/PyrMathSupport.cpp
	LangSource/PyrMessage.cpp
	LangSource/PyrObject.cpp
	LangSource/PyrParseNode.cpp
	LangSource/PyrSignal.cpp
	LangSource/PyrSymbolTable.cpp
	LangSource/SC_LanguageClient.cpp
	LangSource/SC_LanguageConfig.cpp
	LangSource/SC_TerminalClient.cpp
	LangSource/SimpleStack.cpp
	LangSource/VMGlobals.cpp
	LangSource/dumpByteCodes.cpp

	${CMAKE_SOURCE_DIR}/common/SC_Filesystem_macos.cpp
	${CMAKE_SOURCE_DIR}/common/SC_Filesystem_win.cpp
	${CMAKE_SOURCE_DIR}/common/SC_Filesystem_unix.cpp
	${CMAKE_SOURCE_DIR}/common/SC_Filesystem_iphone.cpp

	${CMAKE_SOURCE_DIR}/common/fftlib.c
	${CMAKE_SOURCE_DIR}/common/Samp.cpp
	${CMAKE_SOURCE_DIR}/common/SC_AllocPool.cpp
	${CMAKE_SOURCE_DIR}/common/SC_Reply.cpp
	${CMAKE_SOURCE_DIR}/common/SC_StringBuffer.cpp
	${CMAKE_SOURCE_DIR}/common/SC_StringParser.cpp
	${CMAKE_SOURCE_DIR}/common/SC_TextUtils.cpp
	${LOCALSOCK_UTIL_FILE}

	${CMAKE_SOURCE_DIR}/common/sc_popen.cpp
)

if(APPLE)
	set_property(SOURCE ${CMAKE_SOURCE_DIR}/common/SC_Filesystem_macos.cpp PROPERTY COMPILE_FLAGS -xobjective-c++)

	list(APPEND sclang_sources ${CMAKE_SOURCE_DIR}/common/SC_Apple.mm)
	set_source_files_properties(${CMAKE_SOURCE_DIR}/common/SC_Apple.mm PROPERTIES COMPILE_FLAGS "-x objective-c++ -fobjc-exceptions")
endif()

file(GLOB_RECURSE headers ../include/*.h* )
file(GLOB_RECURSE external_headers ../external_libraries/*.h* )
list(APPEND sclang_sources ${headers} ${external_headers}) # make qt creator happy

set(sclang_parser_source LangSource/Bison/lang11d_tab.cpp)

if(UNIX)
	if(APPLE)
		list(APPEND sclang_sources
			LangPrimSource/SC_CoreMIDI.cpp
			LangPrimSource/SC_CoreAudioPrim.cpp
			)
	else(APPLE)
		if(ALSA_FOUND)
			list(APPEND sclang_sources LangPrimSource/SC_AlsaMIDI.cpp)
		endif()
		if(LINUX)
			list(APPEND sclang_sources LangPrimSource/SC_LID.cpp)
			add_definitions(-DHAVE_LID)
		endif(LINUX)
	endif(APPLE)
endif(UNIX)

if(WIN32)
        list(APPEND sclang_sources ${CMAKE_SOURCE_DIR}/common/SC_Win32Utils.cpp)
	include_directories (../platform/windows/compat_stuff)
        if(NOT MINGW)
                # mingw-w64 provides getopt
                list(APPEND sclang_sources ../platform/windows/compat_stuff/getopt/getopt.c)
                include_directories(../platform/windows/compat_stuff/getopt)
        endif()

        list(APPEND sclang_sources LangPrimSource/SC_PortMidi.cpp)
endif()

# This sets up the exe icon for windows.
if(WIN32)
 set(RES_FILES ${CMAKE_SOURCE_DIR}/platform/windows/Resources/sclang.rc)
 set(CMAKE_RC_COMPILER_INIT windres)
 ENABLE_LANGUAGE(RC)
 SET(CMAKE_RC_COMPILE_OBJECT
 "<CMAKE_RC_COMPILER> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
endif(WIN32)

if(SC_HIDAPI)
    list(APPEND sclang_sources LangPrimSource/SC_HID_api.cpp)
    include_directories(
        ${CMAKE_SOURCE_DIR}/external_libraries/hidapi/hidapi
        ${CMAKE_SOURCE_DIR}/external_libraries/hidapi/hidapi_parser
    )
    add_definitions(-DSC_HIDAPI)
endif(SC_HIDAPI)

if(SC_QT OR SC_IDE)
	set(QT_COLLIDER_LANG_CLIENT ON)
	include(../QtCollider/CMakeLists.txt)
	list(APPEND sclang_sources ${QT_COLLIDER_SRCS})
endif()

if(SC_IDE)
	add_definitions(-DSC_IDE -DQT_NO_KEYWORDS)

	qt5_wrap_cpp( SCLANG_MOC_SRCS ../editors/sc-ide/primitives/sc_ipc_client.hpp )
	list(APPEND sclang_sources ../editors/sc-ide/primitives/sc_ipc_client.cpp)
	list(APPEND sclang_sources ${SCLANG_MOC_SRCS})
endif()

include(../SCDoc/CMakeLists.txt)
list(APPEND sclang_sources ${SCDOC_SRCS})

if(0 AND FINAL_BUILD) # sclang final-builds are broken
	CREATE_FINAL_FILE(libsclang_final.cpp ${sclang_sources})
	add_library(libsclang STATIC libsclang_final.cpp ${sclang_parser_source})
else()
	add_library(libsclang STATIC ${sclang_sources} ${sclang_parser_source})
endif()

target_compile_definitions(libsclang PRIVATE YYSTACK_USE_ALLOC)
target_link_libraries(libsclang tlsf ${PTHREADS_LIBRARIES})

if(SC_QT OR SC_IDE)
	get_target_property(QtCore_location Qt5::Core LOCATION)
	message(STATUS "Found Qt: " ${QtCore_location} )
    get_filename_component(QT_BIN_PATH ${QtCore_location} DIRECTORY CACHE)

	target_link_libraries(libsclang ${QT_COLLIDER_LIBS})
endif()

if(FALSE) # libsclang is a shared library
  target_compile_definitions(libsclang PRIVATE   BUILDING_SCLANG)
  target_compile_definitions(libsclang INTERFACE BUILDING_SCLANG)
endif()

if(SC_HIDAPI)
  target_compile_definitions(libsclang PRIVATE HAVE_HIDAPI)
  target_link_libraries( libsclang hidapi hidapi_parser )

  if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND HID_HIDRAW)
    target_link_libraries( libsclang ${UDEV_LIBRARIES})
  endif()
  if(HID_LIBUSB)
    target_link_libraries( libsclang ${LIBUSB_1_LIBRARIES})
  endif()
endif()

if (Boost_FOUND)
	target_include_directories(libsclang PUBLIC ${Boost_INCLUDE_DIRS})
	target_link_libraries(libsclang ${Boost_THREAD_LIBRARY} ${Boost_SYSTEM_LIBRARY} ${Boost_REGEX_LIBRARY} ${Boost_FILESYSTEM_LIBRARY})
else()
	target_include_directories(libsclang PUBLIC ${CMAKE_SOURCE_DIR}/external_libraries/boost)
	target_link_libraries(libsclang boost_regex boost_thread boost_system boost_filesystem)
endif()


if (SCLANG_SERVER)
	target_link_libraries(libsclang libscsynth)
else()
	target_compile_definitions(libsclang PUBLIC NO_INTERNAL_SERVER)
endif()

if (NOT WIN32)
	set_property(TARGET libsclang
		PROPERTY OUTPUT_NAME sclang)
endif()

## external libraries
if(READLINE_FOUND)
	message(STATUS "Compiling with Readline support")
	target_compile_definitions(libsclang PUBLIC HAVE_READLINE)
	target_include_directories(libsclang PUBLIC ${READLINE_INCLUDE_DIR})
	target_link_libraries(libsclang ${READLINE_LIBRARY})
endif(READLINE_FOUND)
mark_as_advanced(READLINE_INCLUDE_DIR READLINE_LIBRARY)

if (APPLE)
	target_link_libraries(libsclang "-framework Carbon")
	target_link_libraries(libsclang "-framework CoreAudio")
	target_link_libraries(libsclang "-framework CoreMIDI")
	target_link_libraries(libsclang "-framework CoreServices")
	target_link_libraries(libsclang "-framework IOKit")
	target_link_libraries(libsclang "-framework CoreFoundation")
endif()

if(ALSA_FOUND)
	message(STATUS "Compiling with ALSA midi support")
	target_compile_definitions(libsclang PUBLIC HAVE_ALSA=1)
	target_link_libraries(libsclang ${ALSA_LIBRARY})
endif(ALSA_FOUND)

if(SNDFILE_FOUND)
	target_include_directories(libsclang PUBLIC ${SNDFILE_INCLUDE_DIR})
	target_link_libraries(libsclang ${SNDFILE_LIBRARIES})
elseif(NOT NO_LIBSNDFILE)
	message(SEND_ERROR "Cannot find libsndfile")
endif(SNDFILE_FOUND)

if (FFTW3F_FOUND)
	target_include_directories (libsclang ${FFTW3F_INCLUDE_DIR})
	target_link_libraries(libsclang ${FFTW3F_LIBRARY})
endif()

if (WIN32 AND SC_HIDAPI)
	target_link_libraries(libsclang wsock32 ws2_32 portmidi iphlpapi hid)
elseif(WIN32)
	target_link_libraries(libsclang wsock32 ws2_32 portmidi iphlpapi)
endif()

if (GC_SANITYCHECK)
	target_compile_definitions(libsclang PUBLIC GC_SANITYCHECK)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
	target_link_libraries(libsclang rt)
endif()

target_link_libraries(libsclang ${YAMLCPP_LIBRARY})

add_executable(sclang LangSource/cmdLineFuncs.cpp ${RES_FILES})
target_link_libraries(sclang libsclang)
target_link_libraries(sclang ${ICU_LIBRARIES})

target_compile_definitions(sclang PUBLIC USE_SC_TERMINAL_CLIENT)

if(LTO)
  target_compile_definitions(libsclang PUBLIC -flto -flto-report)

  set_property(TARGET sclang libsclang
        APPEND PROPERTY LINK_FLAGS "-flto -flto-report -fwhole-program")
endif()

if(APPLE)
    add_custom_command(TARGET sclang POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory $<TARGET_FILE_DIR:SuperCollider>/../MacOS/
        COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:sclang> $<TARGET_FILE_DIR:SuperCollider>/../MacOS)
elseif(WIN32)
    if(NOT MSVC)
        set_target_properties(sclang PROPERTIES RUNTIME_OUTPUT_DIRECTORY "$<CONFIG>")
    endif(NOT MSVC)

    set(SC_WIN_DLL_DIRS)
    if(SNDFILE_LIBRARY_DIR)
      list(APPEND SC_WIN_DLL_DIRS "${SNDFILE_LIBRARY_DIR}")
    endif(SNDFILE_LIBRARY_DIR)
    if(FFTW3F_LIBRARY_DIR)
      list(APPEND SC_WIN_DLL_DIRS "${FFTW3F_LIBRARY_DIR}")
    endif(FFTW3F_LIBRARY_DIR)
    if(READLINE_LIBRARY_DIR)
      file(GLOB READLINE_DLL "${READLINE_LIBRARY_DIR}/*readline*.dll")
      list(APPEND SC_WIN_DLL_DIRS "${READLINE_LIBRARY_DIR}")
      add_custom_command(TARGET sclang
          POST_BUILD
          COMMAND ${CMAKE_COMMAND} -E copy_if_different "${READLINE_DLL}" $<TARGET_FILE_DIR:sclang>
      )
    endif(READLINE_LIBRARY_DIR)
    if(QT_BIN_PATH)
      list(APPEND SC_WIN_DLL_DIRS "${QT_BIN_PATH}")
    endif(QT_BIN_PATH)

    if(SC_IDE)
      if(MSYS)
        add_custom_command(TARGET sclang
          POST_BUILD
          COMMAND "${CMAKE_SOURCE_DIR}/platform/windows/junctions.sh" "remove" "$<TARGET_FILE_DIR:sclang>"
          COMMAND ${CMAKE_COMMAND} -E copy_directory $<TARGET_FILE_DIR:sclang> $<TARGET_FILE_DIR:SuperCollider>
          COMMAND "${CMAKE_SOURCE_DIR}/platform/windows/junctions.sh" "create" "${CMAKE_SOURCE_DIR}" "$<TARGET_FILE_DIR:sclang>"
          COMMENT "Copying files in target sclang to target SuperCollider (scide) and creating links to SCClassLibrary e.a."
        )
      else()
        add_custom_command(TARGET sclang
          POST_BUILD
          COMMAND cmd /C "\"\"${CMAKE_SOURCE_DIR}/platform/windows/junctions.bat\" remove \"$<TARGET_FILE_DIR:sclang>\"\""
          COMMAND ${CMAKE_COMMAND} -E copy_directory $<TARGET_FILE_DIR:sclang> $<TARGET_FILE_DIR:SuperCollider>
          COMMAND cmd /C "\"\"${CMAKE_SOURCE_DIR}/platform/windows/junctions.bat\" create \"$<TARGET_FILE_DIR:sclang>\" \"${CMAKE_SOURCE_DIR}\"\""
          COMMENT "Copying files in target sclang to target SuperCollider (scide) and creating links to SCClassLibrary e.a."
        )
      endif()
    endif(SC_IDE)

    install(TARGETS sclang
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
        DESTINATION "${SC_WIN_BUNDLE_NAME}"
    )

    if(SC_QT)
        SET(CMAKE_INSTALL_SYSTEM_RUNTIME_DESTINATION "${CMAKE_INSTALL_PREFIX}/${SC_WIN_BUNDLE_NAME}")
        include(InstallRequiredSystemLibraries)
        if(MSYS)

=== server/CMakeLists.txt ===
if (NOT APPLE AND NOT WIN32)
	# on apple we leave this undefined so it defaults to .scx (in the code)
	add_definitions("-DSC_PLUGIN_EXT=\".so\"")
endif()

if(UNIX AND NOT APPLE)
	set(LINUX_SC_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/SuperCollider/plugins)
endif()

include_directories(${CMAKE_SOURCE_DIR}/external_libraries
					${CMAKE_SOURCE_DIR}/external_libraries/nova-simd
					${CMAKE_SOURCE_DIR}/external_libraries/nova-tt
					)

if (Boost_FOUND)
	include_directories(${Boost_INCLUDE_DIRS})
else()
	include_directories(${CMAKE_SOURCE_DIR}/external_libraries/boost)
endif()

# here we choose who provides us with the FFT lib
if (APPLE)
	add_definitions("-DSC_FFT_VDSP")
else()
	find_package(FFTW3f 3.3)

	if (NOT FFTW3F_FOUND OR FFT_GREEN)
		message(STATUS "Using green fft")
		set(FFT_GREEN 1)
		add_definitions("-DSC_FFT_GREEN")
	else()
		if(WIN32)
			message(STATUS "Found fftw3f: ${FFTW3F_LIBRARY}")
		else(WIN32)
			message(STATUS "Using fftw3f")
		endif(WIN32)
		add_definitions("-DSC_FFT_FFTW")
	endif()
endif()

add_subdirectory(plugins)
add_subdirectory(scsynth)

if (SUPERNOVA)
	add_subdirectory(supernova)
endif()

set(plugins "${plugins}" PARENT_SCOPE)
set(supernova_plugins "${supernova_plugins}" PARENT_SCOPE)

=== testsuite/server/CMakeLists.txt ===
add_subdirectory(scsynth)

if (SUPERNOVA)
  add_subdirectory(supernova)
endif()

add_library(boost_test STATIC boost_test.cpp)
target_include_directories(boost_test PUBLIC ${CMAKE_SOURCE_DIR}/external_libraries/boost)

=== debian/changelog ===
supercollider (1:3.10.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 27 Jan 2021 09:39:41 +0800

=== debian/control ===
Source: supercollider
Section: sound
Priority: optional
Vcs-Git: https://salsa.debian.org/multimedia-team/supercollider.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/supercollider
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alexandre Quessy <alexandre@quessy.net>,
 Dan Stowell <danstowell@users.sourceforge.net>,
 Felipe Sateler <fsateler@debian.org>,
 Georges Khaznadar <georgesk@debian.org>
Build-Depends:
 cmake (>= 2.8.12),
 debhelper (>= 10~),
 emacs | emacsen,
 libasound2-dev [linux-any],
 libavahi-client-dev,
 libcwiid-dev,
 libfftw3-dev,
 libicu-dev,
 libjack-dev,
 libqt5core5a (>= 5.3),
 libreadline-dev,
 libsndfile1-dev (>= 1.0.16),
 libudev-dev,
 libxt-dev,
 python-all-dev (>= 2.6.6-3~),
 qtbase5-dev,
 qt5-qmake,
 qttools5-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 qtwebengine5-dev,
 libqt5websockets5-dev,
 libqt5svg5-dev,
 qtpositioning5-dev,
 libqt5sensors5-dev,
 libboost-dev (>= 1.57),
 libboost-date-time-dev (>= 1.57),
 libboost-filesystem-dev (>= 1.57),
 libboost-math-dev (>= 1.57),
 libboost-program-options-dev (>= 1.57),
 libboost-regex-dev (>= 1.57),
 libboost-system-dev (>= 1.57),
 libboost-test-dev (>= 1.57),
 libboost-thread-dev (>= 1.57)
Standards-Version: 4.1.0
Homepage: http://supercollider.github.io

Package: supercollider
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: supercollider-language,
 supercollider-server,
 supercollider-ide,
 ${misc:Depends},
Recommends: supercollider-supernova
Description: real time audio synthesis programming language
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This metapackage installs the standard core components of supercollider,
 including the language, the synthesis server, and the code editor (IDE).

Package: supercollider-language
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${shlibs:Depends},
 ${misc:Depends},
 supercollider-common (= ${source:Version}),
Recommends:
 supercollider-server (= ${binary:Version}),
Suggests: subversion,
 supercollider-ide
Breaks: supercollider (<= 1:3.5.3)
Replaces: supercollider (<= 1:3.5.3)
Description: real time audio synthesis programming language
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the language interpreter.

Package: supercollider-common
Architecture: all
Depends: ${misc:Depends}, libjs-prettify
Breaks: supercollider-server (<< 1:3.5),
 supercollider-gedit (<< 1:3.7.0~repack-1~)
Replaces: supercollider-doc,
 supercollider-server (<< 1:3.5),
 supercollider-gedit (<< 1:3.7.0~repack-1~)
Description: common files for SuperCollider
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the architecture independent files for SuperCollider.

Package: supercollider-server
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, jackd
Description: real time audio synthesis server
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the synthesis server.

Package: supercollider-ide
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends},
 supercollider-language (>= ${source:Version})
Description: integrated development environment for supercollider audio system
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the graphical IDE, the recommended interface for
 working with SuperCollider code.

Package: supercollider-supernova
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}, jackd
Description: real time audio synthesis server (multiprocessor version)
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the multiprocessor aware and parallelization capable
 synthesis server supernova. Use of this server is manually enabled via a
 Server.supernova call before starting the server. This server does not work
 on i486 or i586 processors.

Package: libscsynth1
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: SuperCollider synthesis server library
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the shared library for the synthesis server.

Package: supercollider-dev
Architecture: i386 amd64 arm64 armhf mipsel mips64el
Depends: ${misc:Depends},
 supercollider-language (= ${binary:Version}),
 libsndfile1-dev (>= 1.0.16)
Conflicts: supercollider-common-dev,
 supercollider-server-dev
Replaces: supercollider-common-dev,
 supercollider-server-dev
Provides: supercollider-common-dev,
 supercollider-server-dev
Description: development files for SuperCollider
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package contains the development files and headers.

Package: supercollider-emacs
Architecture: all
Depends: ${misc:Depends},
  supercollider-language (>= ${source:Version}),
  emacs | emacsen
Recommends: w3m-el
Description: SuperCollider mode for Emacs
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package provides the SuperCollider mode for Emacs.

Package: supercollider-vim
Architecture: all
Depends: ${misc:Depends},
 supercollider-language (>= ${source:Version}),
 vim | gvim,
 ruby
Recommends: unhtml | links,
 vim-addon-manager
Suggests: unrtf
Description: SuperCollider mode for Vim
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package provides the SuperCollider mode for Vim.


Package: supercollider-gedit
Architecture: all
Depends: ${misc:Depends},
  supercollider-language (>= ${source:Version}),
  gedit (>=3.0.0)
Description: SuperCollider mode for Gedit
 SuperCollider is an environment and programming language for real time
 audio synthesis and algorithmic composition. It provides an interpreted
 object-oriented language which functions as a network client
 to a state of the art, realtime sound synthesis server.
 .
 This package provides the SuperCollider mode for Gedit.
